from fastapi import APIRouter, Depends
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.user import UserSchema
from helpers.user_helpers import get_current_user

router = APIRouter()

@router.get("/me", response_model=UserSchema)
async def get_current_user_details(db: Session = Depends(get_db)):
    user = get_current_user(db)
    return user